Skip to content
Newer
Older
100644 95 lines (59 sloc) 2.63 KB
a01d406 @lucasmazza Release 2.2.0.
lucasmazza authored Apr 29, 2016
1 ## 2.2.0
76c3e73 @lucasmazza Add the `verify_request_format!` method.
lucasmazza authored Feb 5, 2016
2
3 * Added the `verify_request_format!` method, that can be used as a `before_action`
4 callback to prevent your actions from being invoked when the controller does
5 not respond to the request mime type, preventing the execution of complex
6 queries or creating/deleting records from your app.
7
59d55e9 @lucasmazza Release 2.1.2.
lucasmazza authored Mar 21, 2016
8 ## 2.1.2
9
10 * Fix rendering when using `ActionController::API`. (by @eLod)
11 * Added API controller template for the controller generator. (by @vestimir)
12
e748c9e @lucasmazza Release 2.1.1.
lucasmazza authored Dec 19, 2015
13 ## 2.1.1
14
15 * Added support for Rails 5.
16
dd05878 @josevalim Release v2.1.0
josevalim authored Jan 27, 2015
17 ## 2.1.0
18
19 * No longer automatically set the responders generator as many projects may use this gem as a dependency. When upgrading, users will need to add `config.app_generators.scaffold_controller :responders_controller` to their application. The `responders:install` generator has been updated to automatically insert it in new applications
20
2549c76 @josevalim Release v2.0.1
josevalim authored Oct 21, 2014
21 ## 2.0.1
22
87276f8 @carlosantoniodasilva Improve changelog markup and fix typos [ci skip]
carlosantoniodasilva authored Oct 21, 2014
23 * Require `rails/railtie` explicitly before using it
24 * Require `action_controller` explicitly before using it
25 * Remove unnecessary and limiting `resourceful?` check that required models to implement `to_#{format}` (such checks are responsibility of the rendering layer)
2549c76 @josevalim Release v2.0.1
josevalim authored Oct 21, 2014
26
23917c0 @josevalim Require Rails 4.2.0
josevalim authored Aug 17, 2014
27 ## 2.0.0
28
29 * Import `respond_with` and class-level `respond_to` from Rails
30 * Support only Rails ~> 4.2
4e70f8e @josevalim Update to Rails 4.2
josevalim authored Jan 27, 2015
31 * `Responders::LocationResponder` is now included by the default responder (and therefore deprecated)
23917c0 @josevalim Require Rails 4.2.0
josevalim authored Aug 17, 2014
32
c409d87 @carlosantoniodasilva Release 1.1.0
carlosantoniodasilva authored May 27, 2014
33 ## 1.1.0
0c4e604 @carlosantoniodasilva Target Rails 4.1 on master, keep 4.0 and 3.2 gemfiles to test on travis
carlosantoniodasilva authored May 5, 2014
34
35 * Support Rails 4.1.
5c72d59 @fnando Add :location responder, which allows to use callable objects.
fnando authored May 21, 2014
36 * Allow callable objects as the location.
0c4e604 @carlosantoniodasilva Target Rails 4.1 on master, keep 4.0 and 3.2 gemfiles to test on travis
carlosantoniodasilva authored May 5, 2014
37
d6d3cb4 Release 1.0.0
Rafael Mendonça França authored Sep 21, 2013
38 ## 1.0.0
f5a61b4 @carlosantoniodasilva Improve changelog [ci skip]
carlosantoniodasilva authored Jul 10, 2013
39
40 * Improve controller generator to work closer to the Rails 4 one, and make it
41 compatible with strong parameters.
a1fd340 @carlosantoniodasilva Drop support for Rails 3.1 and Ruby 1.8
carlosantoniodasilva authored May 8, 2013
42 * Drop support for Rails 3.1 and Ruby 1.8, keep support for Rails 3.2
6bee9e0 @spectator Support for multiple Rails versions, starting from 3.1.x
spectator authored Feb 28, 2013
43 * Support for Rails 4.0 onward
dac1c0f CHANGELOG entry
Rafael Mendonça França authored Apr 13, 2013
44 * Fix flash message on destroy failure. Fixes #61
f456f85 @spectator Transition to Rails 4 and Ruby 2.0.
spectator authored Feb 28, 2013
45
e8212ae Release 0.9.3
Rafael Mendonça França authored Sep 27, 2012
46 ## 0.9.3
47
48 * Fix url generation for namespaced models
49
bc226c6 @josevalim Release 0.9.2
josevalim authored Jul 18, 2012
50 ## 0.9.2
51
52 * Properly inflect custom responders names
53
8c3ad0d Release 0.9.1
Rafael Mendonça França authored Mar 24, 2012
54 ## 0.9.1
55
56 * Fix bug with namespace lookup
57
58 ## 0.9.0
586e9cd @josevalim Release responders v0.9
josevalim authored Mar 16, 2012
59
60 * Disable namespace lookup by default
61
d9718d9 Convert CHANGELOG to markdown
Rafael Mendonça França authored Mar 6, 2012
62 ## 0.8
63
64 * Allow embedded HTML in flash messages
65
66 ## 0.7
67
68 * Support Rails 3.1 onward
69 * Support namespaced engines
70
71 ## 0.6
72
73 * Allow engine detection in generators
74 * HTTP Cache is no longer triggered for collections
75 * `:js` now sets the `flash.now` by default, instead of `flash`
76 * Renamed `responders_install` generator to `responders:install`
77 * Added `CollectionResponder` which allows you to always redirect to the collection path
78 (index action) after POST/PUT/DELETE
79
80 ## 0.5
81
82 * Added Railtie and better Rails 3 support
83 * Added `:flash_now` as option
84
85 ## 0.4
86
87 * Added `Responders::FlashResponder.flash_keys` and default to `[ :notice, :alert ]`
88 * Added support to `respond_with(@resource, :notice => "Yes!", :alert => "No!")``
89
90 ## 0.1
91
92 * Added `FlashResponder`
93 * Added `HttpCacheResponder`
94 * Added responders generators
Something went wrong with that request. Please try again.